<?xml version="1.0" encoding="UTF-8"?>
<DeployScript><Scripts><KScript><id>S37ZrqFD</id><number>bos_devp_treeandtable</number><cmb_ftype></cmb_ftype><scripttype>1</scripttype><context><![CDATA[/**
 * @author IERP
 * @date 2019-07-26
 */
require("kd.bos.entity.devportal.AppFunctionPacketElement");
require("kd.bos.entity.tree.TreeNode");
require("kd.bos.servicehelper.devportal.AppMetaServiceHelper");
var plugin = new FormPlugin({
    afterCreateNewData: function(e) {
        //查到的云的信息转换为节点,并生成树
        var nodeList = this.cloudToNode();
        var tree = this.getView().getControl("treeviewap");
        tree.focusNode(nodeList.get(0));
        this.getAppByCloud("/ED17XNWAECH");
    },
    //云的信息转化为节点并生成树方法
    cloudToNode: function() {
        var cloudList = BusinessDataServiceHelper.load("bos_devportal_bizcloud", "id,number,name", null);
        var tree = this.getView().getControl("treeviewap");
        var nodeList = new ArrayList();
        for (var i = 0; i < cloudList.length; i++) {
            var clo = cloudList[i];
            var id = clo.getString("id");
            var text = clo.getString("name");
            var number = clo.getString("number");
            var cloud = new TreeNode("", id, text, false);
            nodeList.add(cloud);
            tree.addNode(cloud);
        }
        return nodeList;
    },
    //注册树的监听
    registerListener: function(e) {
        var treeView = this.getView().getControl("treeviewap");
        treeView.addTreeNodeClickListener(this);
    },
    //监听到后处理
    treeNodeClick: function(evt) {
        //拦截树点击事件
        var treeView = evt.getSource();
        if ("treeviewap" == treeView.getKey()) {
            //点击树后，获取节点的id
            var cloudId = evt.getNodeId().toString();
            this.getAppByCloud(cloudId);
        }
    },
    //根据点击的云id获得所有的应用  
    getAppByCloud: function(cloudId) {
        var f1 = new QFilter("bizcloud", "=", cloudId);
        var appList = BusinessDataServiceHelper.load("bos_devportal_bizapp", "number,name,bizcloud,description,deploystatus,type", f1);
        this.showAppInformation(appList);
    },
    //显示对应的应用信息
    showAppInformation: function(appList) {
        this.getModel().deleteEntryData("entryentity");
        if (appList.length > 0) {
            this.getModel().batchCreateNewEntryRow("entryentity", appList.length);
            for (var i = 0; i < appList.length; i++) {
                var app = appList[i];
                var deploystatus = app.getString("deploystatus");
                var type = app.getString("type");
                this.getModel().setValue("name", app.getString("name"), i);
                this.getModel().setValue("number", app.getString("number"), i);
                this.getModel().setValue("bizcloud", app.getDynamicObject("bizcloud").getString("name"), i);
                this.getModel().setValue("description", app.getString("description"), i);
                this.getModel().setValue("deploystatus", deploystatus, i);
                this.getModel().setValue("type", type, i);
            }
        }
    }
});
]]></context><bizappid>83bfebc800003dac</bizappid><bizunitid>10QKP71OR9NZ</bizunitid><scriptname>左树右表样例</scriptname><creater_id>13466739</creater_id><createdate>1564363407000</createdate><modifydate>1564451730000</modifydate><modifier_id>13466739</modifier_id><isv>kingdee</isv><classname>kingdee.dev.devportal.scriptdemo.bos_devp_treeandtable</classname></KScript></Scripts><BOSVersion>1.0</BOSVersion></DeployScript>